Name:           ragel
Version:        6.8
Release:        %mkrel 1
Summary:        Finite state machine compiler
Group:          Development/Other
License:        GPLv2+
URL:            http://www.cs.queensu.ca/~thurston/ragel/
Source0:        http://www.cs.queensu.ca/~thurston/ragel/%{name}-%{version}.tar.gz
BuildRequires:  transfig
BuildRequires:  texlive
BuildRequires:  texlive-texmf

%description
Ragel compiles finite state machines from regular languages into executable C,
C++, Objective-C, D, Java or Ruby code.

Ragel state machines can not only recognize byte sequences as regular
expression machines do, but can also execute code at arbitrary points in the
recognition of a regular language.

Code embedding is done using inline operators that do not disrupt the regular
language syntax.

%prep
%setup -q

%build
%configure2_5x \
	--enable-manual \
	RUBY=ruby \
	JAVAC=javac \
	GMCS=gmcs
%make

%install
%makeinstall_std

%files
%doc ragel.vim
%doc examples
%doc doc/ragel-guide.pdf
%{_bindir}/ragel
%{_mandir}/man1/ragel.*


%changelog
* Fri Nov 22 2013 oden <oden> 6.8-1.mga3
+ Revision: 552286
- decrease release
- backported from cauldron, needed by pdns-3.3.1 (git snapshot)

* Tue Oct 22 2013 umeabot <umeabot> 6.8-3.mga4
+ Revision: 545959
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 6.8-2.mga4
+ Revision: 502053
- BR texlive-texmf

* Wed Aug 07 2013 wally <wally> 6.8-1.mga4
+ Revision: 464493
- new version 6.8
- clean .spec
- imported package ragel

